package dacia;

import java.net.Socket;
import java.io.*;

/* The connection to another Engine
 */
public class Connection {
  Socket socket = null;
  DataOutputStream dos = null;
  DataInputStream dis = null;
  /* oos and ois are not used in this version
  ObjectOutputStream oos = null;
  ObjectInputStream ois = null;
  */
  String hostname = null;

  protected Connection(Socket s) throws IOException {
    socket = s;
    dos = new DataOutputStream(socket.getOutputStream());
    dis = new DataInputStream(socket.getInputStream());
    // oos = new ObjectOutputStream(socket.getOutputStream());
    // ois = new ObjectInputStream(socket.getInputStream());
    String str = socket.getInetAddress().getHostName().toLowerCase();
    // System.out.println("hostname: " + str);
    int i = str.indexOf(".");
    if(i < 0) {
      hostname = str;
    }
    else {
      hostname = str.substring(0, i);
    }
  }

  protected DataOutputStream getDOS() {
    return dos;
  }

  protected DataInputStream getDIS() {
    return dis;
  }

  /*
  protected ObjectOutputStream getOOS() {
    return oos;
  }

  protected ObjectInputStream getOIS() {
    return ois;
  }
  */

  public String getHostname() {
    return hostname;
  }
}
