package dacia;

import java.util.*;


/* A thread that performs adaptation
 * The run() method of this Monitor should be overwritten to add
 * customized adaptation heuristics.
 */
public class Monitor extends Thread {
  public String hostname = Engine.getHostName();
  public Hashtable localProcs = Engine.getLocalProcs();
  public Hashtable remoteProcs = Engine.getRemoteProcs();
  public Vector connections = Engine.getConnections();

  public void run() {
    System.out.println("Monitor started.");
    while(true) {
      try {
        Thread.currentThread().sleep(1000);
      }
      catch(InterruptedException e) {
        System.out.println("Monitor interrupted while sleeping");
      }
      // do nothing
    }
  }
}
