package dacia;

import java.awt.*;
import java.awt.event.*;

class OkCancelBox extends Dialog implements ActionListener {
 	   	 
    String msg;
	boolean isOK;
    
    public OkCancelBox(Frame parent, String title, String msg,  boolean isOK) { 
		super(parent, title, true);  
		this.msg = msg;
		this.isOK = isOK;
		setFont(new Font("sanserif", Font.PLAIN, 12));
		
		setLayout(new BorderLayout(15, 15));	
		add("Center", new MultiLineLabel(msg, 20, 20));

		Panel p = new Panel();  	
		Button ok = new Button("OK"); 	
		ok.addActionListener(this);
		p.add(ok);
		Button cancel = new Button("Cancel"); 	 
		cancel.addActionListener(this);
		p.add(cancel);
		add("South", p); 
		
		setSize(240, 120);
		setResizable(false); 
		show(); 	 
    }
 	
    public void paint(Graphics g) { 	
		g.drawString(msg, 10, 60);	 
    }

    public void actionPerformed(ActionEvent e) {
		String label = ((Button)e.getSource()).getLabel(); 		
		if (label.equals("OK")) { 	
			isOK = true;
			dispose(); 
		}	
		if (label.equals("Cancel")) {
			isOK = false;
			dispose(); 
		}
    } 	
}    
