/******************************************************************
*
* Software Systems Research Laboratory
* Department of Electrical Engineering and Computer Science
* University of Michigan at Ann Arbor
* 1301 Beal Avenue, Ann Arbor, MI 48105
* 
*
* Copyright (c) 2000 The Regents of The University of Michigan.
* All rights reserved.
* 
* Contact: radu@eecs.umich.edu
* Author : SaiVilasini Niranjan(sniranja@eecs.umich.edu)
*******************************************************************/

/******************************************************************
*** File Main.java 
***
***/
package dacia.apps.proxy;

import dacia.*;
import dacia.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.Font;

import java.net.*;
import java.io.*;


/**
  * class : Main Runs a proxy server application
  */



public class Main {

	public static void main(String args[]){

		Proc server;
		Engine.init(args[0]);
		server = new Daemon();
		Engine.addProc(server);
		Engine.displayGraph();

		Daemon proxyserver= new Daemon();

		proxyserver.proxyDaemon( args);
		Engine.runShell();



		}


}


