package dacia;

public class Forward extends Filter {
  int n=1000;
  static long tstart = 0;
  static int cnt = -1;

  public Forward() {
    super("Forward");
  }

  public void handleMessage(Message msg, int port) {
    long tstop;
    //System.out.println(id + " :: " + msg.id);
    //if(msg.id++ == n) {
    if(++cnt == n) {
      tstop = System.currentTimeMillis();
      System.out.println("Stopp  : " + (tstop - tstart) + "\t" + tstop);
      //System.out.println("Message is: "+((String)msg.getData()));
    }
    else {
        /*if(cnt%1000==0)
        output(0, msg, 0);
        else*/
        output(1, msg, 1);
    }
  }

	public void handleAsyncMessage() {
    long tstop;
    Message msg = null;

    //tstart = System.currentTimeMillis();
    while(true) {
      if((msg = getMessage()) == null)
        return;
      //System.out.println(Thread.currentThread().toString()+" Forward: async msg received");
      //System.out.println(id + " : " + msg.id);
      if(++cnt == n) {
        tstop = System.currentTimeMillis();
        System.out.println("Stop  : " +(tstop - tstart) +"\t" + tstop);
        //System.out.println("Message is: "+((String)msg.getData()));
      }
      else {
        output(1, msg, 0);
      }
    }
  }

  public boolean filterMatched(Message msg) {
    return true;
  }

  public void start() {
    cnt = 0;
    tstart = System.currentTimeMillis();
    byte buf[] = new byte[1000];
    Message msg = new Message();
    msg.setData((Object)buf);
    //for(cnt = 0; cnt < 1000; cnt++)
    output(1, msg, 1);
    //System.out.println("Time  : " +(System.currentTimeMillis() - tstart));
  }
}
