package dacia;

import java.awt.*;
import java.awt.event.*;

public class MessageBox extends Dialog {
	
	String msg;
   
    public MessageBox(Frame parent, String title, String msg) { 
		super(parent, title, true);
		this.msg = msg;
		init();
	}  	  

    public MessageBox(Dialog parent, String title, String msg) { 
		super(parent, title, true);
		this.msg = msg;
		init();
	}  
	  
	private void init(){
		setFont(new Font("sanserif", Font.PLAIN, 12));
		setLayout(new BorderLayout(15, 15)); 	  
		
		MultiLineLabel l = new MultiLineLabel(msg, 20, 20);
		add("Center", l);

		Panel p = new Panel();
		Button ok = new Button("OK"); 
		p.add(ok);
		add("South", p); 
		
		// Handle events on the buttons
		ActionListener buttonListener = new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				String label = ((Button)e.getSource()).getLabel(); 	
				if (label.equals("OK")) 
					dispose(); 
			}
		};
	 	
		ok.addActionListener(buttonListener);
		pack();
		setResizable(false); 
		show(); 	 
    }

}  

