/******************************************************************
*
* Software Systems Research Laboratory
* Department of Electrical Engineering and Computer Science
* University of Michigan at Ann Arbor
* 1301 Beal Avenue, Ann Arbor, MI 48105
* 
*
* Copyright (c) 2000 The Regents of The University of Michigan.
* All rights reserved.
* 
* Contact: radu@eecs.umich.edu
* Author : SaiVilasini Niranjan(sniranja@eecs.umich.edu)
*******************************************************************/

package dacia.apps.webclient;

import dacia.*;
import dacia.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.Font;

import java.net.*;
import java.io.*;


/******************************************************************
*** File Main.java 
*** class : Main...runs a Webclient application and the WebFilter application
***/

public class Main  {
	
	public static void main(String args[]){

		//create a client and a filter for the client
		Proc pfilter;
		Proc client;
		Proc tf;
		Engine.init(args[0]);
		//System.out.println("\n..engine  inits...." + args[0] +"\n");
		client = new WebClient();
		pfilter = new WebFilter();
		Engine.addProc(pfilter);
		Engine.addProc(client);
		Engine.connectProcs(client, 0, pfilter, 0, true);
		Engine.connect("nand" , 6301, true);
		//Engine.connectProcs(pfilter.getID(), 1, 516016 , 0, true);
		Engine.displayGraph();
		Engine.runShell();




		}


}


